<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Controle de Acesso: Funcionario Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Controle de Acesso
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="class_funcionario-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Funcionario Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Funcionario:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_funcionario.png" usemap="#Funcionario_map" alt=""/>
  <map id="Funcionario_map" name="Funcionario_map">
<area href="class_pessoa.html" alt="Pessoa" shape="rect" coords="0,0,80,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_class_pessoa"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_pessoa')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_pessoa.html">Pessoa</a></td></tr>
<tr class="memitem:afd177b22beba0d54e4f424f0896e1a32 inherit pub_methods_class_pessoa"><td class="memItemLeft" align="right" valign="top"><a id="afd177b22beba0d54e4f424f0896e1a32"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setNome</b> (string)</td></tr>
<tr class="separator:afd177b22beba0d54e4f424f0896e1a32 inherit pub_methods_class_pessoa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bd6fb7652643aa9ac71305ccda7cecf inherit pub_methods_class_pessoa"><td class="memItemLeft" align="right" valign="top"><a id="a2bd6fb7652643aa9ac71305ccda7cecf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setTag</b> (int)</td></tr>
<tr class="separator:a2bd6fb7652643aa9ac71305ccda7cecf inherit pub_methods_class_pessoa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedeca9c83ea13db9c487ceb48ac37da7 inherit pub_methods_class_pessoa"><td class="memItemLeft" align="right" valign="top"><a id="aedeca9c83ea13db9c487ceb48ac37da7"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>getNome</b> ()</td></tr>
<tr class="separator:aedeca9c83ea13db9c487ceb48ac37da7 inherit pub_methods_class_pessoa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a547b84a532684cb826a146c16aa690aa inherit pub_methods_class_pessoa"><td class="memItemLeft" align="right" valign="top"><a id="a547b84a532684cb826a146c16aa690aa"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getTag</b> ()</td></tr>
<tr class="separator:a547b84a532684cb826a146c16aa690aa inherit pub_methods_class_pessoa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="wrapper_8hpp_source.html">wrapper.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
